Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
files
/
{id}
/
multipart
/
{upload_id}
/
complete
Multipart Complete
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/files/{id}/multipart/{upload_id}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "parts": [
    {
      "etag": "<string>",
      "part_number": 2
    }
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
id
string
required
upload_id
string
required

Body

application/vnd.api+json

Request body for POST /files/{id}/multipart/{upload_id}/complete.

parts
MultipartPart · object[]
required

Response

Successful Response